> For the complete documentation index, see [llms.txt](https://docs.opsmx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.opsmx.com/isd-spinnaker/opsmx-intelligent-software-delivery-isd-platform-spinnaker/release-notes/additional-resources/previous-releases/isd-3.12/data-and-intelligence-module-autopilot/continuous-compliance-policy/compliant-pipeline-policies.md).

# Static Policies

Static policies will help you to maintain strict guidelines for a deployment pipeline by allowing users to validate the application configuration while creating an application in spinnaker through a policy.

### Create Policy

To create a new policy follow the steps below:

1. Click “**Compliance**” → Click “**Policy Management**” → “+**New Policy**” button as shown below:

![](/files/6m3gHezbIsd93prKEKDc)

2\. The Policy Management screen appears and select "**Static**" policy type as shown below:

![](/files/SwJVFiYOrHpyiuPeCosW)

Enter the following details:

* Enter the Name of the policy in the text box.
* Select the Policy type as Static from the drop-down.
* Select the Policy Engine as OPA from the drop-down.
* Select the Policy Engine Account from the drop-down.
* Enter the Policy Description in the text box.
* Select and add any available Policy file.
* Enter the **Policy Details** in the text box. Refer to the image below:

![](/files/tCI62ocIZSIF1NtPbCq9)

The Policy details is explained below:

* A rule is defined as the user's ability to choose the beginning of the application name. For Example, the application name must begin with “**prod**” as shown below.

```
deny["No Manual Judgement Stages"] {
 count(input.new.stages)>0
 startswith(input.new.name,"prod")
 manualStages := [d | d = input.new.stages[_].type; d == "manualJudgment"]
 count(manualStages) == 0
 }
```

* A rule is defined as requiring the user to have full execute permissions (Read, Execute, Write).

```
deny["Pipeline has no start time"] {
  startTime == 0
}
```

3\. After entering the details click “Save & Finish” to create the policy as shown in the image below:

![](/files/FGEjZaNFzaN39LGmpXUM)

### **Edit Policy**

To edit a policy follow the steps below:

1. Click the icon beside the name of the policy and select Edit as shown in the image below:

![](/files/1mShRpXRUaNeaDcNBBQr)

2\. Edit the required details and click **Save & Finish.**

### **Delete Policy**

To delete a policy follow the steps given below:

1. Click the icon beside the name of the policy and select Delete as shown in the image below:

![](/files/WUoFwSgqwhKfH3RHQNzQ)

2\. The confirmation pop-up appears as shown below:

![](/files/tS6fzSDmxgAqZPDkrHn3)

3\. Click **Yes, delete it!** to delete the policy.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.opsmx.com/isd-spinnaker/opsmx-intelligent-software-delivery-isd-platform-spinnaker/release-notes/additional-resources/previous-releases/isd-3.12/data-and-intelligence-module-autopilot/continuous-compliance-policy/compliant-pipeline-policies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
